Can't activate Blender addon

I downloaded Sketchfab addon for Blender and the error pops up when trying to activate it / log in to my account. Someone advised to download OpenSSL but nothing changed.
Blender version 3.3.0
Addon version 1.5.0

Python: Traceback (most recent call last):
File “D:\blender\3.3\python\lib\site-packages\urllib3\connectionpool.py”, line 700, in urlopen
self._prepare_proxy(conn)
File “D:\blender\3.3\python\lib\site-packages\urllib3\connectionpool.py”, line 994, in _prepare_proxy
conn.connect()
File “D:\blender\3.3\python\lib\site-packages\urllib3\connection.py”, line 364, in connect
conn = self._connect_tls_proxy(hostname, conn)
File “D:\blender\3.3\python\lib\site-packages\urllib3\connection.py”, line 501, in connect_tls_proxy
socket = ssl_wrap_socket(
File "D:\blender\3.3\python\lib\site-packages\urllib3\util\ssl
.py", line 453, in ssl_wrap_socket
ssl_sock = ssl_wrap_socket_impl(sock, context, tls_in_tls)
File "D:\blender\3.3\python\lib\site-packages\urllib3\util\ssl
.py", line 495, in _ssl_wrap_socket_impl
return ssl_context.wrap_socket(sock)
File “D:\blender\3.3\python\lib\ssl.py”, line 512, in wrap_socket
return self.sslsocket_class._create(
File “D:\blender\3.3\python\lib\ssl.py”, line 1070, in _create
self.do_handshake()
File “D:\blender\3.3\python\lib\ssl.py”, line 1341, in do_handshake
self._sslobj.do_handshake()
ssl.SSLEOFError: EOF occurred in violation of protocol (_ssl.c:997)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\blender\3.3\python\lib\site-packages\requests\adapters.py”, line 440, in send
resp = conn.urlopen(
File “D:\blender\3.3\python\lib\site-packages\urllib3\connectionpool.py”, line 785, in urlopen
retries = retries.increment(
File “D:\blender\3.3\python\lib\site-packages\urllib3\util\retry.py”, line 592, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘api.sketchfab.com’, port=443): Max retries exceeded with url: /v3/me (Caused by SSLError(SSLEOFError(8, ‘EOF occurred in violation of protocol (_ssl.c:997)’)))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Nik\AppData\Roaming\Blender Foundation\Blender\3.3\scripts\addons\sketchfab-plugin-1-5-0_init_.py”, line 1964, in execute
activate_plugin()
File “C:\Users\Nik\AppData\Roaming\Blender Foundation\Blender\3.3\scripts\addons\sketchfab-plugin-1-5-0_init_.py”, line 1941, in activate_plugin
props.skfb_api.request_user_info()
File “C:\Users\Nik\AppData\Roaming\Blender Foundation\Blender\3.3\scripts\addons\sketchfab-plugin-1-5-0_init_.py”, line 486, in request_user_info
requests.get(Config.SKETCHFAB_ME, headers=self.headers, hooks={‘response’: self.parse_user_info})
File “D:\blender\3.3\python\lib\site-packages\requests\api.py”, line 75, in get
return request(‘get’, url, params=params, **kwargs)
File “D:\blender\3.3\python\lib\site-packages\requests\api.py”, line 61, in request
return session.request(method=method, url=url, **kwargs)
File “D:\blender\3.3\python\lib\site-packages\requests\sessions.py”, line 529, in request
resp = self.send(prep, **send_kwargs)
File “D:\blender\3.3\python\lib\site-packages\requests\sessions.py”, line 645, in send
r = adapter.send(request, **kwargs)
File “D:\blender\3.3\python\lib\site-packages\requests\adapters.py”, line 517, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host=‘api.sketchfab.com’, port=443): Max retries exceeded with url: /v3/me (Caused by SSLError(SSLEOFError(8, ‘EOF occurred in violation of protocol (_ssl.c:997)’)))

Summary

This text will be hidden